### Constructor

# Atspi Device new_full

since: 2.55

#### Declaration [src]

    AtspiDevice*
    atspi_device_new_full (
      const gchar* app_id
    )

#### Description [src]

Creates a new `AtspiDevice` with a specified app id.

Available since: 2.55

#### Parameters

`app_id`

  Type: `const gchar*`

  The application ID of the application that created this device.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtspiDevice`

A pointer to a newly-created `AtspiDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.